/*  Header file for D-STAR 	*/
/*  		Satoshi Yasuda	*/
/*		7m3tjz/ad6gz	*/

struct	dv_header{
	unsigned char	flags[3];
	unsigned char	RPT2Call[8];
	unsigned char	RPT1Call[8];
	unsigned char	YourCall[8];
	unsigned char	MyCall[8];
	unsigned char	MyCall2[4];
	unsigned char	CRC[2];
};


struct	back_bone{
	unsigned char	id;
	unsigned char	dest_repeater_id;
	unsigned char	send_repeater_id;
	unsigned char	send_terminal_id;
	unsigned char	seq_high;
	unsigned char	seq_low;
	unsigned char	control;
};


struct	voice_data{
	unsigned char	voice_segment[9];
	unsigned char	data_segment[3];
};

struct	dv_buffer{
	unsigned char	buff[41];
};


struct	call_table {
	char	req_id[2];
	char	flags[2];
	char	reserve[4];
	char	req_callsign[8];
	char	zone[8];
	char	area[8];
	u_long	ip_address;
};

struct db_tbl {
	unsigned char	RPT1Call[8];
	unsigned char	RPT2Call[8];
	unsigned char	CallSign[8];
	u_long		ip_address;
};

		
struct call_tbl {
	unsigned char	buff[32];
};


struct	save_voice_pkt {
	struct	save_voice_pkt *fwd_chain;
	unsigned char		v_pkt[12];
};


void	print_version(void);
void	read_from_inet(struct timeval tv);
void	read_from_rig(void);
char	*curtime(void);
void	ctrl_c(void);
void	cfg_read(char file_name[]); 
int	CallSignPlay(unsigned char CallSign[], int resync);
int	ReplyMsgPlay(int resync);
int	NullVoicePlay(int resync);
void	busyMsg(void);
void	SendVoicePacket2AD (char send_buff[]);
unsigned short crc16(char *data_p, unsigned short length);
void	dprs (unsigned char s_data[]);
void	DprsComPortOpen(void);
void	usage(void);


/* definition of id in back_bone */
#define	dd_type		0x40
#define	dv_type		0x20
#define	dv_flag		0x21
#define	header_type	0x10
